openSUSE 10 Security Update : pdns (pdns-5510)

Medium Nessus Plugin ID 33887


The remote openSUSE host is missing a security update.


This update of pdns offers better spoofing resistance by not ignoring invalid queries. (CVE-2008-3337)


Update the affected pdns packages.

Plugin Details

Severity: Medium

ID: 33887

File Name: suse_pdns-5510.nasl

Version: $Revision: 1.7 $

Type: local

Agent: unix

Published: 2008/08/14

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:pdns, p-cpe:/a:novell:opensuse:pdns-backend-ldap, p-cpe:/a:novell:opensuse:pdns-backend-mysql, p-cpe:/a:novell:opensuse:pdns-backend-postgresql, p-cpe:/a:novell:opensuse:pdns-backend-sqlite2, p-cpe:/a:novell:opensuse:pdns-backend-sqlite3, cpe:/o:novell:opensuse:10.2, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/08/13

Reference Information

CVE: CVE-2008-3337

CWE: 20